Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat
Class QueryStatistics

    java.lang.Object
      org.hibernate.stat.CategorizedStatistics
          org.hibernate.stat.QueryStatistics

All Implemented Interfaces:
  Serializable

    public class QueryStatistics

extends CategorizedStatistics

Query statistics (HQL and SQL) Note that for a cached query, the cache miss is equals to the db count

Author:
  Gavin King
See Also:
  Serialized Form

Method Summary
`long` | `getCacheHitCount()` Queries retrieved successfully from the cache
`long` | `getCacheMissCount()`
`long` | `getCachePutCount()`
`long` | `getExecutionAvgTime()` average time in ms taken by the excution of this query onto the DB
`long` | `getExecutionCount()` queries executed to the DB
`long` | `getExecutionMaxTime()` max time in ms taken by the excution of this query onto the DB
`long` | `getExecutionMinTime()` min time in ms taken by the excution of this query onto the DB
`long` | `getExecutionRowCount()` Number of lines returned by all the executions of this query (from DB) For now, `Query.iterate()` and `Query.scroll()()` do not fill this statistic
`String` | `toString()`

Methods inherited from class org.hibernate.stat.CategorizedStatistics
`getCategoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getExecutionCount

    public long getExecutionCount()

  queries executed to the DB

### getCacheHitCount

    public long getCacheHitCount()

  Queries retrieved successfully from the cache

### getCachePutCount

    public long getCachePutCount()

### getCacheMissCount

    public long getCacheMissCount()

### getExecutionRowCount

    public long getExecutionRowCount()

  Number of lines returned by all the executions of this query (from DB) For now, `Query.iterate()` and `Query.scroll()()` do not fill this statistic

  Returns:
    The number of rows cumulatively returned by the given query; iterate and scroll queries do not effect this total as their number of returned rows is not known at execution time.

### getExecutionAvgTime

    public long getExecutionAvgTime()

  average time in ms taken by the excution of this query onto the DB

### getExecutionMaxTime

    public long getExecutionMaxTime()

  max time in ms taken by the excution of this query onto the DB

### getExecutionMinTime

    public long getExecutionMinTime()

  min time in ms taken by the excution of this query onto the DB

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD